
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Delphi中把窗体客户区图像保存到文件或剪切板 / iVAN</title>

    <meta name="description" content="Delphi中把窗体客户区图像保存到文件或剪切板 unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Button2: TButton; Button3: TButton; procedure Button1Click(Sender: TObject); procedu">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Delphi中把窗体客户区图像保存到文件或剪切板</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><code>unit Unit1;</p>
<p>interface</p>
<p>uses<br />
　 Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,<br />
　 Dialogs, StdCtrls;</p>
<p>type<br />
　 TForm1 = class(TForm)<br />
　　　 Button1: TButton;<br />
　　　 Button2: TButton;<br />
　　　 Button3: TButton;<br />
　　　 procedure Button1Click(Sender: TObject);<br />
　　　 procedure Button2Click(Sender: TObject);<br />
　　　 procedure Button3Click(Sender: TObject);<br />
　 end;</p>
<p>var<br />
　 Form1: TForm1;</p>
<p>implementation</p>
<p>{$R *.dfm}</p>
<p>uses Clipbrd; {剪切板单元}</p>
<p>//把窗体客户区保存为图片<br />
procedure TForm1.Button1Click(Sender: TObject);<br />
var<br />
　 bit: TBitmap;<br />
begin<br />
　 bit := TBitmap.Create;<br />
　 bit := Self.GetFormImage;<br />
　 bit.SaveToFile('c:\temp\img1.bmp');<br />
　 bit.Free;<br />
end;</p>
<p>//用一句话完成上一个过程<br />
procedure TForm1.Button2Click(Sender: TObject);<br />
begin<br />
　 Self.GetFormImage.SaveToFile('c:\temp\img2.bmp');<br />
end;</p>
<p>//把窗体客户区图像复制到剪切板<br />
procedure TForm1.Button3Click(Sender: TObject);<br />
var<br />
　 Format: Word;<br />
　 Data: Cardinal;<br />
　 APalette: HPALETTE;<br />
begin<br />
　 {TBitmap.SaveToClipboardFormat 函数的三个参数都是接受数据用的, 按要求类型定义即可}<br />
　 GetFormImage.SaveToClipboardFormat(Format, Data, APalette);<br />
　 {放入剪切板}<br />
　 Clipboard.SetAsHandle(Format, Data);<br />
end;</p>
<p>end.</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-26 10:04:49</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/sender/" title="sender">sender</a>, <a href="https://www.iamivan.net/tag/procedure/" title="procedure">procedure</a>, <a href="https://www.iamivan.net/tag/%e7%aa%97%e4%bd%93/" title="窗体">窗体</a>, <a href="https://www.iamivan.net/tag/%e5%89%aa%e5%88%87/" title="剪切">剪切</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Delphi中把窗体客户区图像保存到文件或剪切板的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKBKVb.html" rel="bookmark">windows画图问题-WINDOWS编程中如何擦除客户区内容？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 WINDOWS编程中如何擦除客户区内容? 各位前辈你好 最近在学WINDOWS编程,刚学了怎么处理键盘消息和资源这一部分,我导入了一个图标 希望通过按动&quot;-&gt;&quot;键来移动图标,我用DrawIcon函数来画这个图标,然后再按动&quot;-&gt;&quot; 键,相应的位置又会出现一个相同的图标,但是我之前的图标还在客户区内,我就想每次画图标之前把客户区清空,最好是置为背景颜色,请问用什么函数? 谢谢了 解决方案 你画图放到OnPaint中,同时Invalidate()来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPkB9rM.html" rel="bookmark">C&plus;&plus;将CBitmap类中的图像保存到文件的方法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了C++将CBitmap类中的图像保存到文件的方法.分享给大家供大家参考.具体实现方法如下: 使用下面的代码,可以把CBitmap类中的图像保存到图像文件中.支持格式:BMP.JPG.GIF和PNG. void SaveBitmap(CString strFilePath, CBitmap Bitmap) { if ( Bitmap.m_hObject ) { CImage imgTemp; // CImage是MFC中的类. imgTemp.Attach(Bitmap.operat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8E603z.html" rel="bookmark">Java将对象保存到文件中&sol;从文件中读取对象的方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.保存对象到文件中 Java语言只能将实现了Serializable接口的类的对象保存到文件中,利用如下方法即可: public static void writeObjectToFile(Object obj) { File file =new File(&quot;test.dat&quot;); FileOutputStream out; try { out = new FileOutputStream(file); ObjectOutputStream objOut=new ObjectOutp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze78wwM.html" rel="bookmark">iOS中管理剪切板的UIPasteboard粘贴板类用法详解&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.自带剪切板操作的原生UI控件在iOS的UI系统中,有3个控件自带剪切板操作,分别是UITextField.UITextView与UIWebView.在这些控件的文字交互处进行长按手势可以在屏幕视图上唤出系统的剪切板控件,用户可以进行复制.粘贴,剪切等操作,其效果分别如下图所示. UITextField的文字操作 UITextView的文字操作 二.系统的剪切板管理类UIPasteboard 实际上,当用户通过上面的空间进行复制.剪切等操作时,被选中的内容会被存放到系统的剪切板中,并且这个剪切			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b32eXkz.html" rel="bookmark">xp系统下半透明窗体（即A&period;EXE）放置在（B&period;EXE）用opengl绘制的客户区中出现闪烁</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 xp系统下半透明窗体(即A.EXE)放置在(B.EXE)用opengl绘制的客户区中出现闪烁 请问在xp系统下,用c++实现的半透明窗体(即A.EXE)放置在(B.EXE)用opengl绘制的客户区中,为什么会出现闪烁的问题?是什么原因?有没有解决的办法 解决方案 opengl是直接写屏的,所以有冲突,除非关掉显卡的视频加速.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnJoAp.html" rel="bookmark">用C＃实现在客户区拖动窗体</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当你设计一个应用程序时,或许你希望用户能够通过客户区来拖动窗体,比如:当窗体没有标题栏或创建的是不规则的窗体时,就只有通过客户区来拖动窗体了. 一个发生在我们身边很好的例子就是Microsoft Windows Media Player.Media Player有项功能是根据用户的爱好可以随意换掉外观(换肤),这个时候标题栏就隐藏了,但是你能够通过客户区来拖动窗体. 好了,言归正传,开始我们的旅程吧 首先必须了解Windows的消息传递机制,当有鼠标活动消息时,系统发送WM_NCHITTEST			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJLRvM.html" rel="bookmark">VC 窗体非客户区的绘制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				VC 窗体非客户区的绘制 OnNcPaint(UINT message, WPARAM wParam, LPARAM lParam) . void CSkinAndLangDlg::OnNcPaint(UINT message, WPARAM wParam, LPARAM lParam) { HDC WindowDC = ::GetWindowDC(m_hWnd); // //取得整个窗体矩形 RECT WindowRect; GetWindowRect(&amp;WindowRect); Offset			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBwkrb.html" rel="bookmark">求教，如果在winform的客户区中要显示多个不同的界面，一般用不同panel切换，还是多个winform切换展示？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 初学者求教,如果在winform的客户区中要显示多个不同的界面,一般用不同panel切换,还是多个winform切换展示?我现在要写一个简单winform,要求当点击菜单栏不同的项目时,下面要展示不同的控件集合或界面,不知道在这种情况下一般用panel切换还是添加多个winform?谢谢大家! 解决方案 解决方案二:不能用tabControl吗?解决方案三:多界面的代码量小,易懂,好控制单界面代码超多,乱,但界面操作的易用性好解决方案四:如果业务逻辑不同,最好用多个窗体实现,这样程序的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEEK0Zb.html" rel="bookmark">VC 窗体非客户区的绘制 OnNcPaint&lpar;UINT message&comma; WPARAM wParam&comma; LPARAM lParam&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				void CSkinAndLangDlg::OnNcPaint(UINT message, WPARAM wParam, LPARAM lParam) { HDC WindowDC = ::GetWindowDC(m_hWnd); // //取得整个窗体矩形 RECT WindowRect; GetWindowRect(&amp;WindowRect); OffsetRect(&amp;WindowRect, -WindowRect.left, - WindowRect.top); // //取得客户区矩			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boEjgp.html" rel="bookmark" class="title">COM Functions in PHP4 &lpar;Windows&rpar;－－里面有例子来讲WORD文档读写的。&lpar;第二部分&rpar;</a>
					<div>
						window|word Using the PHP4 COM functions with MS ExcelAs for the Word example above, study the code  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD3Vvp.html" rel="bookmark" class="title">Javascript特效：将HTML自动转为JS代码</a>
					<div>
						javascript|js|特效 有时候要用Javascript输常用的字符,比如每个页面都要有的脚注.这里提供一个转换脚本: &lt;script&gt;function toScript(val) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqeykM.html" rel="bookmark" class="title">如何查出前台正在发出的sql语句？</a>
					<div>
						语句 如何查出前台正在发出的sql语句? 软件环境:  1.Windows 2000+ORACLE 8.1.6 2.ORACLE安装路径为:C:\ORANT 实现方法:  可以用以下语句: selec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLW8RM.html" rel="bookmark" class="title">教你用FLASH做漂亮的飞鸟效果动画</a>
					<div>
						效果演示: 1．新建一个Flash文档,单击&quot;属性&quot;面板中的&quot;尺寸&quot;按钮,打开&quot;文档属性&quot;面板设置场景大小为350px x 300px,帧频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w378p.html" rel="bookmark" class="title">java中final的用法</a>
					<div>
						许多程序设计语言都有自己的办法告诉编译器某个数据是&quot;常数&quot;.常数主要应用于下述两个方面: (1) 编译期常数,它永远不会改变 (2) 在运行期初始化的一个值,我们不希望它发生变化  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7Gy7b.html" rel="bookmark" class="title">Micro Framework USB Driver开发</a>
					<div>
						为Micro Framework开发USB驱动也有一段时间了,随着开发的深入,对USB理解也渐渐清晰起来. 从系统架构上来说为Micro Framework开发USB驱动有三个层面的工作.一是针对US ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLxKKb.html" rel="bookmark" class="title">提高PPT制作效率9大技巧</a>
					<div>
						  如何提高PPT的制作效率 01 去除PPT的默认版式 新建的PPT总是存在着默认的版式,这些版式的条条框框影响了我们对于PPT的制作和创意,所以我们要去除默认的版式. 选中幻灯片,点击开始&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL6vOb.html" rel="bookmark" class="title">两台路由器连接如何设置</a>
					<div>
						  调制解调器连接: 外接网线连接到调制解调器的ADSL口,LAN1口连接无线路由器1的WAN口; 无线路由器1连接: 用一根短网线连接调制解调器的LAN1口和无线路由器1的WAN口; 无线路由器2连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjjvWb.html" rel="bookmark" class="title">Photoshop给城市照片添加双重夜景效果</a>
					<div>
						移轴镜头太贵,折返镜头也贵,POCOer sugar0828 告诉大家一个神奇的滤镜Alien Skin Bokeh,只用一个插件就可以同时实现移轴与折返的双重效果,为一张普通的夜景照片增添梦幻绚丽的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKgVaM.html" rel="bookmark" class="title">Angular中的Promise对象&lpar;&dollar;q介绍&rpar;</a>
					<div>
						 这篇文章主要介绍了Angular中的Promise对象($q介绍),本文讲解了Promise模式.Q Promise的基本用法.AngularJs中的$q.defferd等内容,需要的朋友可以参考下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oYPWb.html" rel="bookmark" class="title">够快网盘如何选择部分文件同步？</a>
					<div>
						通过选择性同步功能,您可以只同步想要同步的文件/文件夹. 点击电脑右下角的够快图标,在&quot;设置&quot;中选择&quot;软件设置&quot;-&quot;高级&quot;-&quot;选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24WEBp.html" rel="bookmark" class="title">2016年微边框笔记本推荐</a>
					<div>
						戴尔燃7000微边框新品 燃 7000是戴尔最新推出的一款微边框设计的轻薄型笔记本电脑,该机采用金属机身设计,结合钻石切割工艺,整体质感非常出色,同时拥有金色和银色可选.此外,燃7000最大的特色就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBOALz.html" rel="bookmark" class="title">Win7系统修改TXT文本文档后不能保存该如何解决</a>
					<div>
						  故障原因:是因为软件修改或者不小心点击了TXT的只读选项,只要设置为TXT文本文档去掉只读选项就可以正常使用了. 解决步骤: 1.文档编辑好了之后,我们右键点击-属性; 2.打开属性后,去掉&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywNKJz.html" rel="bookmark" class="title">简单实用的Android UI微博动态点赞效果&lowbar;Android</a>
					<div>
						说起空间动态.微博的点赞效果,网上也是很泛滥,各种实现与效果一大堆.而详细实现的部分,讲述的也是参差不齐,另一方面估计也有很多大侠也不屑一顾,觉得完全没必要单独开篇来写和讲解吧.毕竟,也就是两个vie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW85Lp.html" rel="bookmark" class="title">win7下强制结束进程命令</a>
					<div>
						如果查看8080端口是否被占用: netstat -ano | findstr &quot;8080&quot; 如果1668被占用了. tasklist | findstr &quot;1668&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXoD6z.html" rel="bookmark" class="title">ios-滑动手势从tableView删除文件</a>
					<div>
						问题描述 滑动手势从tableView删除文件 if (editingStyle == UITableViewCellEditingStyleDelete){ NSFileManager *fileM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKv6qb.html" rel="bookmark" class="title">uitabbarcontroller-UITabbarController  使用系统自定义的</a>
					<div>
						问题描述 UITabbarController 使用系统自定义的 ![图片说明](http://img.ask.csdn.net/upload/201603/20/1458467400_749158. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYyR7p.html" rel="bookmark" class="title">php中正则表达式的子模式详解</a>
					<div>
						函数 mixed preg_replace ( mixed pattern, mixed replacement, mixed subject [, int limit]) 功能 在 subject  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKAKXb.html" rel="bookmark" class="title">link下，比如有一个事件，&plus;&equals;了两个方法，如何只执行第二个方法，不执行第一个？</a>
					<div>
						问题描述 link下,比如有一个事件,+=了两个方法,如何只执行第二个方法,不执行第一个? link下,比如有一个事件,+=了两个方法,如何只执行第二个方法,不执行第一个? 解决方案 using Sy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXvgVb.html" rel="bookmark" class="title">借助用户群组细分进行网站用户行为分析</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 网站访问者来源于复杂的人群,而且每个人的访问行为和访问目的都或多或少有着不同之处.用户群组细分作为常用的网站分析策略,用来区分不同访客群体,并帮助你深入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL7VEM.html" rel="bookmark" class="title">美团网开除孕妇详细解释和说明</a>
					<div>
						6月9日消息,美团网今日向Bianews发来声明,就网络流传的&quot;美团网开除孕妇&quot;传闻进行了详细解释和说明. 事情概况:美团网前员工包女士对媒体表示,自其怀孕以来,受到相关人士变相打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkZlaM.html" rel="bookmark" class="title">短信开发求助！！！</a>
					<div>
						问题描述 好多奶粉实现过这一功能,短信发送防伪码,然后返回查询信息.我咨询过几家做短信接口的服务商,他们只提供短信发送接口,不提供短信接收功能,哪位大神做个这个,求帮助!!!! 解决方案 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44WaPz.html" rel="bookmark" class="title">Logger&period;getLogger&lpar;&rpar;与LogFactory&period;getLog&lpar;&rpar;的区别详解&lowbar;java</a>
					<div>
						Logger来自log4j自己的包.如果用Logger.getLogger,需要一个log4j的jar包,用此方式你只能依log4j: LogFactory来自common-logging包.如果用L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvDn7M.html" rel="bookmark" class="title">帮忙测试一下 这组json数据 是否正确&quest;</a>
					<div>
						问题描述 {&quot;Consume&quot;: {&quot;Moneys&quot;: {&quot;totalMoney&quot;: &quot;0.01&quot; }, &quot;r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr6E6p.html" rel="bookmark" class="title">java 连接LDAP出现问题</a>
					<div>
						问题描述 代码如下: public class LdapTest2 { /** * @param args */ public static void main(String[] args) { // ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdyQGz.html" rel="bookmark" class="title">轻触，数据美丽的外衣</a>
					<div>
						&quot;我生活在一个拥有7,080,360,000人的星球上,这是关于他们的故事,现今平均每人会对7.4个人说2250个词,人们会发3000亿封邮件190亿条短信,加起来可组成1个巨大的马赛克图案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdDqVb.html" rel="bookmark" class="title">c语言-C语言指针移动后指向问题</a>
					<div>
						问题描述 C语言指针移动后指向问题 void change _ prt(); main() { int * prt,b[3] = {1,2,3}; prt = b; change _ prt(prt) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKJ5Jz.html" rel="bookmark" class="title">《分布式系统：概念与设计》一1&period;3　分布式系统的趋势</a>
					<div>
						1.3 分布式系统的趋势 分布式系统正在经历巨大的变化,这可追溯到一系列有影响力的趋势: 出现了泛在联网技术: 出现了无处不在计算,它伴随着分布式系统中支持用户移动性的意愿: 对多媒体设备的需求增加: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7OE7p.html" rel="bookmark" class="title">新买的空调两个月就要加雪种？</a>
					<div>
						■新机才装两个月,连接铜管已有锈迹.报料人供图有求必应投诉:5月6日,刘小姐在海珠区新业路苏宁电器购买了一台美的空调.安装第二天,她就发现空调的制冷效果变得很差,&quot;开到17度(摄氏,下同)比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdDmjp.html" rel="bookmark" class="title">人人网陈一舟：移动互联网的缺失是Facebook的软肋</a>
					<div>
						人人公司CEO陈一舟 被比作&quot;中国Facebook&quot;的人人,陈一舟说,&quot;我们还有一场硬仗要打&quot;.这场硬仗指的是移动互联网.这同时也是Facebook要打的硬仗. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
